Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.ant
Class MappingToolTask

    java.lang.Object
      MatchingTask
          org.apache.openjpa.lib.ant.AbstractTask
              org.apache.openjpa.jdbc.ant.MappingToolTask

    public class MappingToolTask

extends AbstractTask

Executes the `MappingTool` on the specified files. This task can take the following arguments:

- `action`
- `meta`
- `schemaAction`
- `dropTables`
- `ignoreErrors`
- `readSchema`
- `primaryKeys`
- `foreignKeys`
- `indexes`
- `file`
- `schemaFile`
- `sqlFile`

Of these arguments, only `action` is required.

Nested Class Summary
`static class` | `MappingToolTask.Action`
`static class` | `MappingToolTask.SchemaAction`

Field Summary
`protected String` | `file`
`protected MappingTool.Flags` | `flags`
`protected String` | `schemaFile`
`protected String` | `sqlFile`

Fields inherited from class org.apache.openjpa.lib.ant.AbstractTask
`classpath, fileSets, haltOnError, isolate, useParent`

Constructor Summary
`MappingToolTask()`

Method Summary
`protected void` | `executeOn(String[] files)` Perform the task action on the given files.
`protected ConfigurationImpl` | `newConfiguration()` Implement this method to return a configuration object for the product in use.
`void` | `setAction(MappingToolTask.Action act)` Set the enumerated MappingTool action type.
`void` | `setDropSequences(boolean dropSequences)` Set whether the MappingTool should drop sequences.
`void` | `setDropTables(boolean dropTables)` Set whether the MappingTool should drop tables.
`void` | `setFile(String file)` Set the output file we want the MappingTool to write to.
`void` | `setForeignKeys(boolean fks)` Set whether to generate foreign key information.
`void` | `setIgnoreErrors(boolean ignoreErrors)` Set whether we want the MappingTool to ignore SQL errors.
`void` | `setIndexes(boolean idxs)` Set whether to generate index information.
`void` | `setMeta(boolean meta)` Set whether this action applies to metadata as well as mappings.
`void` | `setOpenJPATables(boolean openjpaTables)` Set whether to drop OpenJPA tables.
`void` | `setPrimaryKeys(boolean pks)` Set whether to generate primary key information.
`void` | `setReadSchema(boolean readSchema)` Set whether the MappingTool should read the full schema.
`void` | `setSchemaAction(MappingToolTask.SchemaAction act)` Set the enumerated SchemaTool action type.
`void` | `setSchemaFile(String schemaFile)` Set the output file for an XML representation of the planned schema.
`void` | `setSequences(boolean sequences)` Set whether the MappingTool should manipulate sequences.
`void` | `setSQLFile(String sqlFile)` Set the output file we want the MappingTool to write a SQL script to.

Methods inherited from class org.apache.openjpa.lib.ant.AbstractTask
`addFileset, assertFiles, createClasspath, createConfig, execute, getClassLoader, getConfiguration, setClasspath, setHaltOnError, setIsolate, setUseParentClassloader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    protected MappingTool.Flags flags

### file

    protected String file

### schemaFile

    protected String schemaFile

### sqlFile

    protected String sqlFile

Constructor Detail

### MappingToolTask

    public MappingToolTask()

Method Detail

### setAction

    public void setAction(MappingToolTask.Action act)

  Set the enumerated MappingTool action type.

### setSchemaAction

    public void setSchemaAction(MappingToolTask.SchemaAction act)

  Set the enumerated SchemaTool action type.

### setReadSchema

    public void setReadSchema(boolean readSchema)

  Set whether the MappingTool should read the full schema.

### setIgnoreErrors

    public void setIgnoreErrors(boolean ignoreErrors)

  Set whether we want the MappingTool to ignore SQL errors.

### setDropTables

    public void setDropTables(boolean dropTables)

  Set whether the MappingTool should drop tables.

### setOpenJPATables

    public void setOpenJPATables(boolean openjpaTables)

  Set whether to drop OpenJPA tables.

### setDropSequences

    public void setDropSequences(boolean dropSequences)

  Set whether the MappingTool should drop sequences.

### setSequences

    public void setSequences(boolean sequences)

  Set whether the MappingTool should manipulate sequences.

### setPrimaryKeys

    public void setPrimaryKeys(boolean pks)

  Set whether to generate primary key information.

### setForeignKeys

    public void setForeignKeys(boolean fks)

  Set whether to generate foreign key information.

### setIndexes

    public void setIndexes(boolean idxs)

  Set whether to generate index information.

### setFile

    public void setFile(String file)

  Set the output file we want the MappingTool to write to.

### setSchemaFile

    public void setSchemaFile(String schemaFile)

  Set the output file for an XML representation of the planned schema.

### setSQLFile

    public void setSQLFile(String sqlFile)

  Set the output file we want the MappingTool to write a SQL script to.

### setMeta

    public void setMeta(boolean meta)

  Set whether this action applies to metadata as well as mappings.

### newConfiguration

    protected ConfigurationImpl newConfiguration()

  Description copied from class: `AbstractTask`
  Implement this method to return a configuration object for the product in use.

  Specified by:
    `newConfiguration` in class `AbstractTask`

### executeOn

    protected void executeOn(String[] files)
                      throws Exception

  Description copied from class: `AbstractTask`
  Perform the task action on the given files.

  Specified by:
    `executeOn` in class `AbstractTask`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.